Closed Bug 231716 Opened 16 years ago Closed 11 years ago

10 new 'Blamed Build Warnings' from 'Linux brad Clobber (info) on 01/20 22:42', (in files: mozLineTerm.cpp, mozXMLTermStream.cpp, ltermManager.c, ptystream.c; and Unblamed)

Categories

(SeaMonkey :: General, defect, trivial)

defect
Not set
trivial

Tracking

(Not tracked)

RESOLVED WONTFIX

People

(Reporter: sgautherie, Unassigned)

References

(Blocks 1 open bug, )

Details

(Keywords: helpwanted)

Attachments

(4 obsolete files)

Between 'Linux brad Clobber (info) on 01/20 21:35'
And     'Linux brad Clobber (info) on 01/20 22:42'

A) dbaron
{
1071.	extensions/layout-debug/src/nsLayoutDebuggingTools.cpp:116 (See build log
excerpt)
	`already_AddRefed document(nsIDocShell*)' defined but not used

114 static already_AddRefed<nsIDocument>
115 document(nsIDocShell *aDocShell)
116 {
117     nsCOMPtr<nsIContentViewer> cv(doc_viewer(aDocShell));
118     if (!cv)
}

B) leaf
{
1.	extensions/xmlterm/base/mozLineTerm.cpp:201 (See build log excerpt)
	Unused variable `nsresult result'

199 XMLT_LOG(mozLineTerm::GetSecurePrincipal,30,("\n"));
200 
201 nsresult result;
202 
203 if (!aPrincipalStr)
}

C) svn
{
1.	extensions/xmlterm/base/mozXMLTermStream.cpp:538 (See build log excerpt)
	Comparison between signed and unsigned integer expressions

536 PRUint32 sourceOffset = 0;
537 
538 while (mUTF8Offset < mUTF8Buffer.Length()) {
539   PRUint32 remCount = mUTF8Buffer.Length() - mUTF8Offset;
540   result = mStreamListener->OnDataAvailable(mChannel, mContext,

2.	extensions/xmlterm/lineterm/ltermManager.c:1451 (See build log excerpt)
	Implicit declaration of function `kill'

1449 #else  /* not USE_NSPR_IO */
1450     LTERM_LOG(ltermDestroyProcess,21,("Killing process %d\n",ltp->processID));
1451     kill(ltp->processID, SIGKILL);
1452 #endif /* not USE_NSPR_IO */

3.	extensions/xmlterm/lineterm/ptystream.c:113 (See build log excerpt)
	Variable `errfd2' might be clobbered by `longjmp' or `vfork'

111 {
112   pid_t child_pid;
113   int errfd2;
114 
115   if (!ptyp) {

4.	extensions/xmlterm/lineterm/ptystream.c:240 (See build log excerpt)
	Implicit declaration of function `kill'

238 }
239 
240 kill(ptyp->pid, SIGKILL);
241 ptyp->pid = 0;
}

D) Unblamed
{
6.	 zip warning:../cview.jar not found or empty (no file match) (See build log
excerpt)

14.	 zip warning:../layoutdebug.jar not found or empty (no file match) (See
build log excerpt)

19.	 zip warning:../tasks.jar not found or empty (no file match) (See build log
excerpt)

22.	 zip warning:../xmlterm.jar not found or empty (no file match) (See build
log excerpt)
}
Attached patch (Bv1) <mozLineTerm.cpp> (obsolete) — Splinter Review
Comment on attachment 139568 [details] [diff] [review]
(Bv1) <mozLineTerm.cpp>


I have no compiler: Could you compile/test/review it ? Thanks.
Attachment #139568 - Flags: review?(svn)
Comment on attachment 139570 [details] [diff] [review]
(Cv1) <mozXMLTermStream.*>
[Checked in: Comment 17]


I have no compiler: Could you compile/test/review it ? Thanks.
Attachment #139570 - Flags: review?(svn)
Matches use inside
{
382 static
383 void
384 DumpContentRecur(nsIDocShell* aDocShell, FILE* out)
}
Comment on attachment 139571 [details] [diff] [review]
(Av1) <nsLayoutDebuggingTools.cpp>
[Checked in: Comment 8]


I have no compiler: Could you compile/test/(super-)review/check-in it ? Thanks.
Attachment #139571 - Flags: superreview?(dbaron)
Attachment #139571 - Flags: review?(dbaron)
Attachment #139571 - Attachment description: (Bv1) <nsLayoutDebuggingTools.cpp> → (Av1) <nsLayoutDebuggingTools.cpp>
helpwanted:
I don't know how to fix C-2/3/4 and D-6/14/19/22.
Keywords: helpwanted
Summary: 10 new 'Blamed Build Warnings' from Linux brad Clobber (info) → 10 new 'Blamed Build Warnings' from 'Linux brad Clobber (info) on 01/20 22:42'
Attachment #139571 - Flags: superreview?(dbaron)
Attachment #139571 - Flags: superreview+
Attachment #139571 - Flags: review?(dbaron)
Attachment #139571 - Flags: review+
Comment on attachment 139571 [details] [diff] [review]
(Av1) <nsLayoutDebuggingTools.cpp>
[Checked in: Comment 8]


Check in: { 01/22/2004 05:07	neil%parkwaycc.co.uk	mozilla/ extensions/
layout-debug/ src/ nsLayoutDebuggingTools.cpp	   1.8 }
Attachment #139571 - Attachment description: (Av1) <nsLayoutDebuggingTools.cpp> → (Av1) <nsLayoutDebuggingTools.cpp> [Checked in: Comment 8]
Attachment #139571 - Attachment is obsolete: true
Summary: 10 new 'Blamed Build Warnings' from 'Linux brad Clobber (info) on 01/20 22:42' → 10 new 'Blamed Build Warnings' from 'Linux brad Clobber (info) on 01/20 22:42', (in files: mozLineTerm.cpp, mozXMLTermStream.cpp, ltermManager.c, ptystream.c; and Unblamed)
Comment on attachment 139568 [details] [diff] [review]
(Bv1) <mozLineTerm.cpp>


No review from <svn@xmlterm.org> since "2004-01-21" :-(

I have no compiler: Could you compile/test/review it ? Thanks.
Attachment #139568 - Flags: review?(svn) → review?(rginda)
Comment on attachment 139568 [details] [diff] [review]
(Bv1) <mozLineTerm.cpp>

sorry, I don't have a tree, or the time.  Maybe timeless?
Attachment #139568 - Flags: review?(rginda)
Comment on attachment 139568 [details] [diff] [review]
(Bv1) <mozLineTerm.cpp>

I have no compiler: Could you compile/test/review it ? Thanks.
Attachment #139568 - Flags: review?(timeless)
Comment on attachment 139568 [details] [diff] [review]
(Bv1) <mozLineTerm.cpp>

> #if 0  // Temporarily comented out, because ToString is not immplemented
would someone please fix the spelling errors from this line too? :)
Attachment #139568 - Flags: review?(timeless) → review+
Attachment #139568 - Flags: superreview?(dveditz)
Comment on attachment 139570 [details] [diff] [review]
(Cv1) <mozXMLTermStream.*>
[Checked in: Comment 17]

Matthias: Could you try to compile, and possibly test, this patch ? Thanks.
(In reply to comment #13)
> (From update of attachment 139570 [details] [diff] [review])
> Matthias: Could you try to compile, and possibly test, this patch ? Thanks.

Sorry, but I cannot build these files on my WinXP machine. 

Comment on attachment 139570 [details] [diff] [review]
(Cv1) <mozXMLTermStream.*>
[Checked in: Comment 17]

No review from <svn@xmlterm.org> since "2004-01-21" :-(

I have no compiler (and Matthias can't): Could you compile/test/review it ?
Thanks.
Attachment #139570 - Flags: review?(svn) → review?(timeless)
Attachment #139570 - Flags: review?(timeless) → review+
Attachment #139570 - Flags: superreview?(roc)
Attachment #139570 - Flags: superreview?(roc) → superreview+
Comment on attachment 139570 [details] [diff] [review]
(Cv1) <mozXMLTermStream.*>
[Checked in: Comment 17]

+  PRUInt32 mUTF8Offset;

fwiw, that should've been a lowercase i.
Comment on attachment 139570 [details] [diff] [review]
(Cv1) <mozXMLTermStream.*>
[Checked in: Comment 17]


Check in: { 2004-10-13 15:34	neil%parkwaycc.co.uk }
Attachment #139570 - Attachment description: (Cv1) <mozXMLTermStream.*> → (Cv1) <mozXMLTermStream.*> [Checked in: Comment 17]
Attachment #139570 - Attachment is obsolete: true
Attachment #139570 - Flags: approval-aviary?
(In reply to comment #16)
> (From update of attachment 139570 [details] [diff] [review])
> +  PRUInt32 mUTF8Offset;
> 
> fwiw, that should've been a lowercase i.

(Did that change since I posted the patch ? I don't remember.)
Thanks for fixing it anyway:
{ 2004-10-13 16:10	cbiesinger%web.de 	mozilla/ extensions/ xmlterm/ base/
mozXMLTermStream.h 	1.9 }
Attachment #139568 - Attachment is obsolete: true
Attachment #139568 - Flags: superreview?(dveditz)
Bv1, with comment 12 suggestion(s).

Keeping
{{
(Bv1) <mozLineTerm.cpp> 	 patch		2004-01-21 06:22 PDT   
timeless: review+
}}
Attachment #162391 - Flags: superreview?(roc)
Attachment #162391 - Flags: review+
Comment on attachment 139570 [details] [diff] [review]
(Cv1) <mozXMLTermStream.*>
[Checked in: Comment 17]

not a necessary fix for aviary.
Attachment #139570 - Flags: approval-aviary? → approval-aviary-
Attachment #162391 - Flags: superreview?(roc) → superreview+
Comment on attachment 162391 [details] [diff] [review]
(Bv1a) <mozLineTerm.cpp>
[Checked in: Comment 21]

mozilla/extensions/xmlterm/base/mozLineTerm.cpp 	1.38
Attachment #162391 - Attachment is obsolete: true
Attachment #162391 - Attachment description: (Bv1a) <mozLineTerm.cpp> → (Bv1a) <mozLineTerm.cpp> [Checked in: Comment 21]
Product: Browser → Seamonkey
Is anything left to do here?
XMLTerm is no longer in hg as it wasn't maintained.
Status: NEW → RESOLVED
Closed: 11 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.